use crate::layouts;
use axum::{Router, routing::get};
use maud::{Markup, html};

pub fn routes() -> Router {
    Router::new().route("/", get(page))
}

async fn page() -> Markup {
    let content = html! {
        h1 class="mb-5" { "New Exercise" }

        forum class="space-y-1" {
            fieldset class="fieldset" {
                legend class="fieldset-legend" { "Name" }
                input class="input" {}
            }

            fieldset class="fieldset" {
                legend class="fieldset-legend" { "Description" }
                textarea class="textarea" {}
            }

            fieldset class="fieldset" {
                legend class="fieldset-legend" { "Muscle Group" }

                label class="label" {
                    input type="checkbox" checked="checked" class="checkbox" {}
                    "Chest"
                }
                label class="label" {
                    input type="checkbox" checked="checked" class="checkbox" {}
                    "Body"
                }
            }

            fieldset class="fieldset" {
                legend class="fieldset-legend" { "Equipment" }

                label class="label" {
                    input type="checkbox" checked="checked" class="checkbox" {}
                    "Weigted plates"
                }
                label class="label" {
                    input type="checkbox" checked="checked" class="checkbox" {}
                    "Jump Rope"
                }
            }

            input type="submit" class="btn" value="save" { }
        }
    };

    layouts::desktop(content, "New Exercise")
}
